using e_suite.API.Common.models;
using e_suite.Utilities.Pagination;

namespace e_suite.API.Common;

public interface IExceptionLogManager
{
    Task<long> LogException(Exception ex, string application, string supportingArgs, CancellationToken cancellationToken);

    Task<IPaginatedData<ExceptionLog>> GetExceptionLogs(Paging paging, CancellationToken cancellationToken);
}
